[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnumed-devel] Updated server packages

From: Sebastian Hilbert
Subject: [Gnumed-devel] Updated server packages
Date: Sat, 19 Sep 2009 21:44:47 +0200
User-agent: KMail/1.12.1 (Linux/; KDE/4.3.1; i686; ; )

Hi all,

Not everyone is a computer wiz. Moreover it seems that a lot of people are 
interested in GNUmed. Many of them do not handle the installation very well. 
While technically sound the installation up to this day required that you took 
the time to learn a bit about PCs and Operating systems. Over time we were 
drawn into a conversation along the lines 'Everyone else has an easier 
installation'. Engaging the user into a technical discussion is often 

In the end I have decided to give the user what he or she wants. The current 
client and server installation packages now bring along everything needed. 
This has been the case for the client for quite some time and it has been 
largely successful.

Now the same is true for the server. GNUmed relies on the high quality 
database server PostgreSQL. It has always been the case that the administrator 
had to install and configure PostgreSQL. Most users are not administrator and 
failed right there. I therefore decided to take care of the PostgreSQL 

The advantage is that boostraping now runs without user interaction. The 
disadvantage is that I had to set a default password for the postgres account. 
I repeat I had to set a default password for the postgres account.

If you prefer to configure everything yourself (like you should) you still 


reply via email to

[Prev in Thread] Current Thread [Next in Thread]